claw::find_type_by_size< Size, TypeList > Struct Template Reference

This meta class finds, in a list of types, the first type stored exactly with a given number of bits. More...

`#include <types.hpp>`

## Public Types

typedef meta::if_then_else< sizeof(head_type) *8==Size, head_type, typenamefind_type_by_size< Size, queue_type >::type >::result | type
| If the size of head_type matches the desired one, then the result is head_type, otherwise we search the type in the remaining ones .

## Detailed Description

template<std::size_t Size, typename TypeList>
struct claw::find_type_by_size< Size, TypeList >

This meta class finds, in a list of types, the first type stored exactly with a given number of bits.

Template parameters

- Size The number of bits in the type to find,
- TypeList A list of types (see meta::type_list).

Definition at line 81 of file types.hpp.

## Member Typedef Documentation

## type

template<std::size_t Size, typename TypeList>

typedef meta::if_then_else<sizeof(head_type)*8==Size,head_type,typenamefind_type_by_size<Size,queue_type>::type>::result claw::find_type_by_size< Size, TypeList >::type

If the size of head_type matches the desired one, then the result is head_type, otherwise we search the type in the remaining ones .

Definition at line 93 of file types.hpp.

The documentation for this struct was generated from the following file:

- types.hpp